#!/usr/bin/perl -w
#
#
#(c) Copyright 2004, Board of Regents of the University of Oklahoma.
#All rights reserved. Not to be provided or used in any format without
#the express written permission of the University of Oklahoma.
#Software provided as is no warranties expressed or implied.
use Getopt::Std;

getopts("hi:m:", \%option );


$usage =  "outputLLSD.pl: Usage \n";
$usage .= " -h, print this message \n";
$usage .= " -i input_directory, dirctory where the Netcdf files are located. \n";
$usage .= " -o output_file, File where the output is to be directed \n";
$usage .= " -m match, match that you are looking for. \n";

$lat = 35.23833;
$lon = -98.5;

if ( $option{h} ) {
  print $usage;
  exit();
}

if ( $option{m} ) {
  $match = $option{m};
} else {
  $match = "*";
}
#
# check to see if a directory has been sent
#
if ( $option{i} ) {
  $indir = $option{i};
} else {
  print "Directory? ";
  $indir = <STDIN>;
  chop ($indir);
}

if ( $option{o} ) {
  $output_file = $option{o};
} else {
  print "Output File? ";
  $output_file = <STDIN>;
  chop ($output_file);
}

#
#check if the directories exist
#
unless( -d $indir ) {
  print "\nInput directory $indir not valid\n";
  exit(-1);
}


#
#Get list of KOUN files 
#
$orig_dir = $ENV{PWD};

chdir($indir);
#$match .= "netcdf"
@file_list=<*$match*>;
chdir $orig_dir;

#
#for each file run it through the outputNetcdf code 
#
foreach $filename (@file_list) {
$full_input_filename = $indir;
#check for slash on end of string
if (substr($indir,-1,1) ne "\/" ) {$full_input_filename .= "\/";}
$full_input_filename .= $filename;
print "$full_input_filename\n";

  `outputNetcdf -1 $lat -2 $lon -f $full_input_filename >> $output_file`;

}

